# Uses of Class
bsh.Variable

Packages that use Variable
Package
Description
bsh

## Uses of Variable in bsh

Methods in bsh that return Variable
Modifier and Type
Method
Description
`Variable[]`
ExternalNameSpace.`getDeclaredVariables()`
`Variable[]`
NameSpace.`getDeclaredVariables()`
`protected Variable`
NameSpace.`getImportedVar(String name)`
`protected Variable`
ExternalNameSpace.`getVariableImpl(String name, boolean recurse)`
`protected Variable`
NameSpace.`getVariableImpl(String name, boolean recurse)`
Locate a variable and return the Variable object with optional recursion through parent name spaces.
Methods in bsh with parameters of type Variable
Modifier and Type
Method
Description
`protected Object`
NameSpace.`unwrapVariable(Variable var)`
Unwrap a variable to its value.
Constructors in bsh with parameters of type Variable
Modifier
Constructor
Description
``
`ClassGeneratorUtil(Modifiers classModifiers, String className, String packageName, Class superClass, Class[] interfaces, Variable[] vars, DelayedEvalBshMethod[] bshmethods, NameSpace classStaticNameSpace, boolean isInterface)`